% 3D data file to ID,Test file(what you want to test)
%-------------------------------------------------------------------------
% File name   : making_50_20_data_2.m
% Version     : Version 1.0
% Created     : Hyunho Kang
% Last update : June/10/2011
% 
% Copyright (C) 2011 AIST
% 
% By using this code, you agree to the following terms and conditions.
% 
% This code is copyrighted by AIST ("us").
% 
% Permission is hereby granted to copy, reproduce, redistribute or
% otherwise use this code as long as: there is no monetary profit gained
% specifically from the use or reproduction of this code, it is not sold,
% rented, traded or otherwise marketed, and this copyright notice is
% included prominently in any copy made.
% 
% We shall not be liable for any damages, including without limitation
% direct, indirect, incidental, special or consequential damages arising
% from the use of this code.
% 
% When you publish any results arising from the use of this code, we will
% appreciate it if you can cite our webpage
% (http://staff.aist.go.jp/akashi.satoh/SASEBO/en/index.html).
%-------------------------------------------------------------------------
%%
clc
clear

id = 50;
te = 20;

for i=1:45
  a = load(['device',int2str(i),'_3d']);
  a1 = a.(['device',int2str(i),'_3d']);
  dc = a1(1:id,1:te,:);
  save(['dc',int2str(i),'.mat'],'dc')
end


