% PUF-Hamming-45-Reliability  Genuine
%-------------------------------------------------------------------------
% File name   : puf_eval_gen.m
% Version     : Version 1.0
% Created     : Hyunho Kang
% Last update : June/10/2011
% 
% Copyright (C) 2011 AIST
% 
% By using this code, you agree to the following terms and conditions.
% 
% This code is copyrighted by AIST ("us").
% 
% Permission is hereby granted to copy, reproduce, redistribute or
% otherwise use this code as long as: there is no monetary profit gained
% specifically from the use or reproduction of this code, it is not sold,
% rented, traded or otherwise marketed, and this copyright notice is
% included prominently in any copy made.
% 
% We shall not be liable for any damages, including without limitation
% direct, indirect, incidental, special or consequential damages arising
% from the use of this code.
% 
% When you publish any results arising from the use of this code, we will
% appreciate it if you can cite our webpage
% (http://staff.aist.go.jp/akashi.satoh/SASEBO/en/index.html).
%-------------------------------------------------------------------------%%
clc
clear

for kor=1:45
   % kor 
    b = load(['dc',int2str(kor),'.mat']);
    b1 = b.('dc');
    to_id = size(b1,1);
    to_te = size(b1,2);
    
    % Genuine  
   se1 = 0;
   se2 = 1;
   kk = 1;
   for i=1:to_id
     
     for j=1:to_te-1
        
        for k=j+1:to_te
            score = match_id(b1(i,j,:), b1(i,k,:));    % !!!
            puf_chip_intra(kk) = score;    % !!!
            kk = kk + 1;
        end
     end
   end

   save(['puf_chip_intra',int2str(kor),'.mat'],'puf_chip_intra') 
   
end
