% PUF-Hamming-45-Reliability   Impostor
%-------------------------------------------------------------------------
% File name   : puf_eval_imp.m
% Version     : Version 1.0
% Created     : Hyunho Kang
% Last update : June/10/2011
% 
% Copyright (C) 2011 AIST
% 
% By using this code, you agree to the following terms and conditions.
% 
% This code is copyrighted by AIST ("us").
% 
% Permission is hereby granted to copy, reproduce, redistribute or
% otherwise use this code as long as: there is no monetary profit gained
% specifically from the use or reproduction of this code, it is not sold,
% rented, traded or otherwise marketed, and this copyright notice is
% included prominently in any copy made.
% 
% We shall not be liable for any damages, including without limitation
% direct, indirect, incidental, special or consequential damages arising
% from the use of this code.
% 
% When you publish any results arising from the use of this code, we will
% appreciate it if you can cite our webpage
% (http://staff.aist.go.jp/akashi.satoh/SASEBO/en/index.html).
%-------------------------------------------------------------------------%%
clc
clear

for kor=1:45
  % kor
    c = load(['dc',int2str(kor)]);
    c1 = c.('dc');
    to_id = size(c1,1);
    to_te = size(c1,2);
    
  % Impostor   
se1 = 0;
se2 = 1;
kk = 1;
for i=1:to_id-1
  %  i
    for j=1:to_te
        
        for k=i+1:to_id
            for k1=1:to_te
                score = match_id(c1(i,j,:),c1(k,k1,:));
                puf_chip_inter(kk) = score;
                kk = kk + 1;
            end
        end
    end
end


   save(['puf_chip_inter',int2str(kor),'.mat'],'puf_chip_inter') 
   
end