% PUF-Hamming-45-Security
% Arbiter PUF
% Same Challenge Inter-PUF
%-------------------------------------------------------------------------
% File name   : sc_inter_a_pufs.m
% Version     : Version 1.0
% Created     : Hyunho Kang
% Last update : June/10/2011
% 
% Copyright (C) 2011 AIST
% 
% By using this code, you agree to the following terms and conditions.
% 
% This code is copyrighted by AIST ("us").
% 
% Permission is hereby granted to copy, reproduce, redistribute or
% otherwise use this code as long as: there is no monetary profit gained
% specifically from the use or reproduction of this code, it is not sold,
% rented, traded or otherwise marketed, and this copyright notice is
% included prominently in any copy made.
% 
% We shall not be liable for any damages, including without limitation
% direct, indirect, incidental, special or consequential damages arising
% from the use of this code.
% 
% When you publish any results arising from the use of this code, we will
% appreciate it if you can cite our webpage
% (http://staff.aist.go.jp/akashi.satoh/SASEBO/en/index.html).
%-------------------------------------------------------------------------
clear
clc

load dc1;dc1 = dc;load dc2;dc2 = dc;load dc3;dc3 = dc;
load dc4;dc4 = dc;load dc5;dc5 = dc;load dc6;dc6 = dc;
load dc7;dc7 = dc;load dc8;dc8 = dc;load dc9;dc9 = dc;
load dc10;dc10 = dc;load dc11;dc11 = dc;load dc12;dc12 = dc;
load dc13;dc13 = dc;load dc14;dc14 = dc;load dc15;dc15 = dc;
load dc16;dc16 = dc;load dc17;dc17 = dc;load dc18;dc18 = dc;
load dc19;dc19 = dc;load dc20;dc20 = dc;load dc21;dc21 = dc;
load dc22;dc22 = dc;load dc23;dc23 = dc;load dc24;dc24 = dc;
load dc25;dc25 = dc;load dc26;dc26 = dc;load dc27;dc27 = dc;
load dc28;dc28 = dc;load dc29;dc29 = dc;load dc30;dc30 = dc;
load dc31;dc31 = dc;load dc32;dc32 = dc;load dc33;dc33 = dc;
load dc34;dc34 = dc;load dc35;dc35 = dc;load dc36;dc36 = dc;
load dc37;dc37 = dc;load dc38;dc38 = dc;load dc39;dc39 = dc;
load dc40;dc40 = dc;load dc41;dc41 = dc;load dc42;dc42 = dc;
load dc43;dc43 = dc;load dc44;dc44 = dc;load dc45;dc45 = dc;



dc = [dc1 dc2 dc3 dc4 dc5 dc6 dc7 dc8 dc9 dc10 dc11 dc12 dc13 dc14 dc15_
    dc16 dc17 dc18 dc19 dc20 dc21 dc22 dc23 dc24 dc25 dc26 dc27 dc28 dc29 dc30_
    dc31 dc32 dc33 dc34 dc35 dc36 dc37 dc38 dc39 dc40 dc41 dc42 dc43 dc44 dc45];

[id1 te1 bi1] = size(dc1);   % 50*20*16 
[id2 te2 bi2] = size(dc);   % 50*900*16

kk = 1;
co = 0;
cose = 1;
j1 = 1;
for i=1:id2
   % i
    for j=1:te2-te1   % 1:900-20
       
        co = co + 1;
        
        if co == 21
            co = 1;
            cose = cose + 1;
        end
        
        for k=j1+20*cose:te2
            score = match_id( dc(i,j,:), dc(i,k,:));
            sc_inter_a_pufs_45(kk) = score;
            kk = kk + 1;
        end
    end
    co = 0;
    j1 = 1;
    cose = 1;
end

save sc_inter_a_pufs_45 sc_inter_a_pufs_45


